JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::midi_ci::Message::StaticSizePropertyExchange Struct Reference
juce_midi_ci » ci

A property-exchange message that has no payload, and must therefore be contained in a single chunk. More...

`#include <juce_CIMessages.h>`

Inheritance diagram for juce::midi_ci::Message::StaticSizePropertyExchange:

## Public Member Functions
auto | tie () const

## Public Attributes
std::byte | requestID {}
Span< const std::byte > | header

## Detailed Description

A property-exchange message that has no payload, and must therefore be contained in a single chunk.

## Member Function Documentation

## ◆ tie()

auto juce::midi_ci::Message::StaticSizePropertyExchange::tie | ( |  | ) | const

References header, and requestID.

Referenced by juce::midi_ci::Message::PropertyGetData::operator==(), and juce::midi_ci::Message::PropertySetDataResponse::operator==().

## Member Data Documentation

## ◆ requestID

std::byte juce::midi_ci::Message::StaticSizePropertyExchange::requestID {}

Referenced by tie().

## ◆ header

Span<const std::byte> juce::midi_ci::Message::StaticSizePropertyExchange::header

Referenced by tie().

The documentation for this struct was generated from the following file:

- juce_CIMessages.h